Get a Download
Get download metadata (Accept: application/json) or file content (Accept: application/octet-stream).
GET
/
v1
/
downloads
/
{id}
Get a Download
curl --request GET \
--url https://api.browserbase.com/v1/downloads/{id} \
--header 'X-BB-API-Key: <api-key>'import requests
url = "https://api.browserbase.com/v1/downloads/{id}"
headers = {"X-BB-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BB-API-Key': '<api-key>'}};
fetch('https://api.browserbase.com/v1/downloads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sessionId": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"size": 123,
"checksum": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Authorizations
Your Browserbase API Key.
Path Parameters
The download ID.
Response
The request has succeeded.
Unique identifier for the download.
The Session ID this download belongs to.
The filename of the downloaded file.
The MIME type of the file.
File size in bytes.
SHA256 checksum of the file.
Timestamp when the file was downloaded.
Was this page helpful?
⌘I
Get a Download
